#include <bits/stdc++.h>
using namespace std;
#define mod 1000000007

struct Tacka
{
    int x, y;
};

double P(int x1, int y1, int x2, int y2, int x3, int y3)
{
    return fabs((x1*(y2-y3) + x2*(y3-y1)+ x3*(y1-y2))/2.0);
}

bool provera(int x1, int y1, int x2, int y2, int x3, int y3, int x, int y)
{
    double A = P (x1, y1, x2, y2, x3, y3);
    double B = P (x, y, x2, y2, x3, y3);
    double C = P (x1, y1, x, y, x3, y3);
    double D = P (x1, y1, x2, y2, x, y);
    return (A == B + C + D);
}

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);


    unsigned long long br=0;
     int n;
     cin >>n;


     if (n==3)
     {
         Tacka niz[3];
         for(int i=0;i<n;i++)
            cin >> niz[i].x >> niz[i].y;
         for(int i=0;i<n-1;i++)
            br+=provera(niz[i].x, niz[i].y, niz[i+1].x, niz[i+1].y,
niz[i+1].x, niz[i+1].y, 0,0);
         br+=provera(niz[0].x, niz[0].y, niz[2].x, niz[2].y, niz[2].x,
niz[2].y, 0,0);
         br+=provera(niz[0].x, niz[0].y, niz[1].x, niz[1].y, niz[2].x,
niz[2].y, 0,0);
          cout<<br%mod<<endl;
     }


    return 0;
}